summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAzamat H. Hackimov <azamat.hackimov@gmail.com>2012-09-24 00:57:19 +0600
committerAzamat H. Hackimov <azamat.hackimov@gmail.com>2012-09-24 00:57:19 +0600
commitf6ae2721ecfe9ebc9dd206f71012884802d59374 (patch)
treec4a2784e380d4f3a00953d8c8ec1e52a12564666 /eclass/unpacker-nixstaller.eclass
parent[dev-games/simgear] change order of GIT repos (diff)
downloadgamerlay-f6ae2721ecfe9ebc9dd206f71012884802d59374.tar.gz
gamerlay-f6ae2721ecfe9ebc9dd206f71012884802d59374.tar.bz2
gamerlay-f6ae2721ecfe9ebc9dd206f71012884802d59374.zip
Eclass for nixstaller packages (for HIB games)
Diffstat (limited to 'eclass/unpacker-nixstaller.eclass')
-rw-r--r--eclass/unpacker-nixstaller.eclass40
1 files changed, 40 insertions, 0 deletions
diff --git a/eclass/unpacker-nixstaller.eclass b/eclass/unpacker-nixstaller.eclass
new file mode 100644
index 0000000..c2c8090
--- /dev/null
+++ b/eclass/unpacker-nixstaller.eclass
@@ -0,0 +1,40 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+#
+# Original Author: Azamat H. Hackimov <azamat.hackimov@gmail.com>
+# Purpose: Unpack Nixstaller archives (http://nixstaller.sourceforge.net/)
+#
+# @ECLASS: unpacker-nixstaller.eclass
+# @MAINTAINER:
+# azamat.hackimov@gmail.com
+# @BLURB: helper for unpacking Nixstaller archives
+# @DESCRIPTION:
+# Some packages comes only in Nixstaller archives (mostly, games), so there
+# we come to help unpack them.
+
+inherit unpacker
+
+# @FUNCTION: unpack_nixstaller
+# @USAGE: <files to unpack>
+# @DESCRIPTION:
+# Unpack nixstaller generated files
+# They're shell scripts with the blob package tagged onto
+# the end of the archive. In the blob placed tarballs with
+# actual content.
+#
+# Please note, if you need additional dependecies make sure to unpack subarch
+# archive as first argument.
+#
+nixstaller_unpack() {
+ unpack_makeself
+
+ local unpack_files="$@"
+
+ for i in $unpack_files ; do
+ unpack_banner "$i"
+ # Make sure that file exists
+ [[ -f "./$i" ]] && tar Jxf "./$i" || die "Failed to unpack $i"
+ done
+}